Package org.eclipse.emf.cdo.lm.util

# Class LMSwitch<T>

java.lang.Object
org.eclipse.emf.ecore.util.Switch<T>
org.eclipse.emf.cdo.lm.util.LMSwitch<T>

public class LMSwitch<T> extends Switch<T>
The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  - `LMPackage`
Generated

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static LMPackage`
`modelPackage`
The cached model package

## Constructor Summary

Constructors
Constructor
Description
`LMSwitch()`
Creates an instance of the switch.

## Method Summary

Modifier and Type
Method
Description
`T`
`caseBaseline(Baseline object)`
Returns the result of interpreting the object as an instance of 'Baseline'.
`T`
`caseChange(Change object)`
Returns the result of interpreting the object as an instance of 'Change'.
`T`
`caseDelivery(Delivery object)`
Returns the result of interpreting the object as an instance of 'Delivery'.
`T`
`caseDependency(Dependency object)`
Returns the result of interpreting the object as an instance of 'Dependency'.
`T`
`caseDrop(Drop object)`
Returns the result of interpreting the object as an instance of 'Drop'.
`T`
`caseDropType(DropType object)`
Returns the result of interpreting the object as an instance of 'Drop Type'.
`T`
`caseFixedBaseline(FixedBaseline object)`
Returns the result of interpreting the object as an instance of 'Fixed Baseline'.
`T`
`caseFloatingBaseline(FloatingBaseline object)`
Returns the result of interpreting the object as an instance of 'Floating Baseline'.
`T`
`caseModelElement(ModelElement object)`
Returns the result of interpreting the object as an instance of 'Model Element'.
`T`
`caseModule(Module object)`
Returns the result of interpreting the object as an instance of 'Module'.
`T`
`caseModuleElement(ModuleElement object)`
Returns the result of interpreting the object as an instance of 'Module Element'.
`T`
`caseModuleType(ModuleType object)`
Returns the result of interpreting the object as an instance of 'Module Type'.
`T`
`caseProcess(Process object)`
Returns the result of interpreting the object as an instance of 'Process'.
`T`
`caseProcessElement(ProcessElement object)`
Returns the result of interpreting the object as an instance of 'Process Element'.
`T`
`caseStream(Stream object)`
Returns the result of interpreting the object as an instance of 'Stream'.
`T`
`caseStreamElement(StreamElement object)`
Returns the result of interpreting the object as an instance of 'Stream Element'.
`T`
`caseSystem(System object)`
Returns the result of interpreting the object as an instance of 'System'.
`T`
`caseSystemElement(SystemElement object)`
Returns the result of interpreting the object as an instance of 'System Element'.
`T`
`defaultCase(EObject object)`
Returns the result of interpreting the object as an instance of 'EObject'.
`protected T`
`doSwitch(int classifierID, EObject theEObject)`
Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
`protected boolean`
`isSwitchFor(EPackage ePackage)`
Checks whether this is a switch for the given package.

### Methods inherited from class org.eclipse.emf.ecore.util.Switch

`doSwitch, doSwitch`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### modelPackage

protected static LMPackage modelPackage
The cached model package

Generated

## Constructor Details

### LMSwitch

public LMSwitch()
Creates an instance of the switch.

Generated

## Method Details

### isSwitchFor

protected boolean isSwitchFor(EPackage ePackage)
Checks whether this is a switch for the given package.

Specified by:
  `isSwitchFor` in class `Switch<T>`
Parameters:
  `ePackage` - the package in question.
Returns:
  whether this is a switch for the given package.
Generated

### doSwitch

protected T doSwitch(int classifierID, EObject theEObject)
Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Overrides:
  `doSwitch` in class `Switch<T>`
Returns:
  the first non-null result returned by a `caseXXX` call.
Generated

### caseSystemElement

public T caseSystemElement(SystemElement object)
Returns the result of interpreting the object as an instance of 'System Element'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'System Element'.
See Also:
  - `doSwitch(EObject)`
Generated

### caseProcessElement

public T caseProcessElement(ProcessElement object)
Returns the result of interpreting the object as an instance of 'Process Element'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Process Element'.
See Also:
  - `doSwitch(EObject)`
Generated

### caseModuleElement

public T caseModuleElement(ModuleElement object)
Returns the result of interpreting the object as an instance of 'Module Element'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Module Element'.
See Also:
  - `doSwitch(EObject)`
Generated

### caseStreamElement

public T caseStreamElement(StreamElement object)
Returns the result of interpreting the object as an instance of 'Stream Element'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Stream Element'.
See Also:
  - `doSwitch(EObject)`
Generated

### caseSystem

public T caseSystem(System object)
Returns the result of interpreting the object as an instance of 'System'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'System'.
See Also:
  - `doSwitch(EObject)`
Generated

### caseProcess

public T caseProcess(Process object)
Returns the result of interpreting the object as an instance of 'Process'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Process'.
See Also:
  - `doSwitch(EObject)`
Generated

### caseDropType

public T caseDropType(DropType object)
Returns the result of interpreting the object as an instance of 'Drop Type'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Drop Type'.
See Also:
  - `doSwitch(EObject)`
Generated

### caseModule

public T caseModule(Module object)
Returns the result of interpreting the object as an instance of 'Module'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Module'.
See Also:
  - `doSwitch(EObject)`
Generated

### caseDependency

public T caseDependency(Dependency object)
Returns the result of interpreting the object as an instance of 'Dependency'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Dependency'.
See Also:
  - `doSwitch(EObject)`
Generated

### caseModuleType

public T caseModuleType(ModuleType object)
Returns the result of interpreting the object as an instance of 'Module Type'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Module Type'.
See Also:
  - `doSwitch(EObject)`
Generated

### caseBaseline

public T caseBaseline(Baseline object)
Returns the result of interpreting the object as an instance of 'Baseline'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Baseline'.
See Also:
  - `doSwitch(EObject)`
Generated

### caseFloatingBaseline

public T caseFloatingBaseline(FloatingBaseline object)
Returns the result of interpreting the object as an instance of 'Floating Baseline'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Floating Baseline'.
See Also:
  - `doSwitch(EObject)`
Generated

### caseFixedBaseline

public T caseFixedBaseline(FixedBaseline object)
Returns the result of interpreting the object as an instance of 'Fixed Baseline'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Fixed Baseline'.
See Also:
  - `doSwitch(EObject)`
Generated

### caseStream

public T caseStream(Stream object)
Returns the result of interpreting the object as an instance of 'Stream'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Stream'.
See Also:
  - `doSwitch(EObject)`
Generated

### caseChange

public T caseChange(Change object)
Returns the result of interpreting the object as an instance of 'Change'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Change'.
See Also:
  - `doSwitch(EObject)`
Generated

### caseDelivery

public T caseDelivery(Delivery object)
Returns the result of interpreting the object as an instance of 'Delivery'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Delivery'.
See Also:
  - `doSwitch(EObject)`
Generated

### caseDrop

public T caseDrop(Drop object)
Returns the result of interpreting the object as an instance of 'Drop'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Drop'.
See Also:
  - `doSwitch(EObject)`
Generated

### caseModelElement

public T caseModelElement(ModelElement object)
Returns the result of interpreting the object as an instance of 'Model Element'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Model Element'.
See Also:
  - `doSwitch(EObject)`
Generated

### defaultCase

public T defaultCase(EObject object)
Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

Overrides:
  `defaultCase` in class `Switch<T>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EObject'.
See Also:
  - `Switch.doSwitch(org.eclipse.emf.ecore.EObject)`
Generated